summaryrefslogtreecommitdiff
path: root/t/var-recurs2.sh
diff options
context:
space:
mode:
authorStefano Lattarini <stefano.lattarini@gmail.com>2012-06-12 10:11:35 +0200
committerStefano Lattarini <stefano.lattarini@gmail.com>2012-07-02 15:02:34 +0200
commit097930059adbd5061a5f78e2b91e339f91a32a18 (patch)
tree4884ead684c77109d93006ff346e9ded156b2b27 /t/var-recurs2.sh
parent1b3c7eaf50a74cbb0300631505bbb870f5cc95d3 (diff)
downloadautomake-097930059adbd5061a5f78e2b91e339f91a32a18.tar.gz
tests: rename 'recurs*.sh' to 'var-recurs*.sh'
* t/recurs.sh: Rename ... * t/var-recurs.sh: ... to this. * t/recurs2.sh: Rename ... * t/var-recurs2.sh: ... to this. * tests/list-of-tests.mk: Adjust. Signed-off-by: Stefano Lattarini <stefano.lattarini@gmail.com>
Diffstat (limited to 't/var-recurs2.sh')
-rwxr-xr-xt/var-recurs2.sh31
1 files changed, 31 insertions, 0 deletions
diff --git a/t/var-recurs2.sh b/t/var-recurs2.sh
new file mode 100755
index 000000000..0acdc2a0e
--- /dev/null
+++ b/t/var-recurs2.sh
@@ -0,0 +1,31 @@
+#! /bin/sh
+# Copyright (C) 1998-2012 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+# Test to make sure recursive variable definitions die.
+# From Jim Meyering.
+
+. ./defs || exit 1
+
+cat > Makefile.am << 'END'
+man_MANS = chgrp.1
+man_aux = $(man_MANS:.1=.x)
+EXTRA_DIST = $(man_aux) $(man_MANS)
+END
+
+$ACLOCAL
+$AUTOMAKE
+
+: